From c5501544e5457f3a9414b349648735ef9ccb0a15 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 10 2020 04:30:33 +0000
Subject: [PATCH 1320/2232] Merge pull request #438 from dtolnay/result


Add ui test of returning a non-displayable error
---

diff --git a/tests/ui/result_no_display.rs b/tests/ui/result_no_display.rs
new file mode 100644
index 0000000..b535677
--- /dev/null
+++ b/tests/ui/result_no_display.rs
@@ -0,0 +1,14 @@
+#[cxx::bridge]
+mod ffi {
+    extern "Rust" {
+        fn f() -> Result<()>;
+    }
+}
+
+pub struct NonError;
+
+fn f() -> Result<(), NonError> {
+    Ok(())
+}
+
+fn main() {}
diff --git a/tests/ui/result_no_display.stderr b/tests/ui/result_no_display.stderr
new file mode 100644
index 0000000..f33b1be
--- /dev/null
+++ b/tests/ui/result_no_display.stderr
@@ -0,0 +1,14 @@
+error[E0277]: `NonError` doesn't implement `std::fmt::Display`
+  --> $DIR/result_no_display.rs:1:1
+   |
+1  | #[cxx::bridge]
+   | ^^^^^^^^^^^^^^ `NonError` cannot be formatted with the default formatter
+   |
+  ::: $WORKSPACE/src/result.rs
+   |
+   |     E: Display,
+   |        ------- required by this bound in `cxx::private::r#try`
+   |
+   = help: the trait `std::fmt::Display` is not implemented for `NonError`
+   = note: in format strings you may be able to use `{:?}` (or {:#?} for pretty-print) instead
+   = note: this error originates in an attribute macro (in Nightly builds, run with -Z macro-backtrace for more info)

